FastString: Reduce allocations of concatFS
AbandonedPublic

Authored by bgamari on Jul 5 2016, 2:58 AM.

Details

Reviewers
simonmar
simonpj
austin
Trac Issues
#12357
Summary

Instead of unpacking and then repacking we simply concatenate all of the
individual ByteStrings. This may save allocations of [Char]s, although I don't
yet have data to support this claim.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Branch
wip/T12357-concat
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10361
Build 12407: arc lint + arc unit
bgamari updated this revision to Diff 8139.Jul 5 2016, 2:58 AM
bgamari retitled this revision from to FastString: Reduce allocations of concatFS.
bgamari updated this object.
bgamari edited the test plan for this revision. (Show Details)
bgamari added reviewers: simonmar, simonpj.
bgamari updated the Trac tickets for this revision.
simonmar accepted this revision.Jul 7 2016, 2:05 AM
simonmar edited edge metadata.

lgtm

This revision is now accepted and ready to land.Jul 7 2016, 2:05 AM
austin accepted this revision.Jul 8 2016, 3:33 PM
austin edited edge metadata.
austin awarded a token.
bgamari abandoned this revision.Jul 9 2016, 2:03 PM

This was merged as 91fd87e2384091f1872f91953e83b299d8e1478f.